<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="ftp" id="bytes-by-period" charttype="histogram">

 <lire:title>Bytes by Period FTP Report</lire:title>
 <lire:description>
  <para>This report calculates the sum of all transfers by a
   user-confirable time period.
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="period" type="duration" default="1d">
   <lire:description>
    <para>This parameter controls the time period which is use to
     aggregate the records.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Total Transferred Bytes by $period Period</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:timegroup period="$period" label="Period">

   <lire:sum name="bytes_total" field="file_size" label="Bytes"/>
   <lire:sum name="bytes_ratio" field="file_size" ratio="table" label="% Total"/>
  </lire:timegroup>
 </lire:report-calc-spec>

</lire:report-spec>

